<div class="modal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Регистрация</h5>
        <button type="button" class="close" (click)="onCloseModal()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form (ngSubmit)="onSubmit()" [formGroup]="signUpForm">
        <div class="modal-body">
           <div class="form-group">
               <label>Email</label>
               <input type="email" formControlName="email" class="form-control"
                 [ngClass]="{ 'is-invalid': submitted && signUpForm.controls['email'].errors }" />
               <div *ngIf="signUpForm.controls['email'].errors" class="invalid-feedback">
                   <div *ngIf="signUpForm.controls['email'].errors.required">Email обязателен</div>
                   <div *ngIf="signUpForm.controls['email'].errors.email">Адрес электронной почты должен быть действительным адресом пример: test@test.com</div>
               </div>
           </div>
           <div class="form-group">
             <label>Пароль</label>
             <input type="password" formControlName="password" class="form-control"
               [ngClass]="{ 'is-invalid': submitted && signUpForm.controls['password'].errors }" />
             <div *ngIf="submitted && signUpForm.controls['password'].errors" class="invalid-feedback">
               <div *ngIf="signUpForm.controls['password'].errors.required">Пароль обязателен</div>
               <div *ngIf="signUpForm.controls['password'].errors.minlength">Пароль должен содержать не менее 8 символов</div>
             </div>
           </div>
           <div class="form-group">
            <label>Подтвердить пароль</label>
            <input type="password" formControlName="confirmPassword" class="form-control" [ngClass]="{ 'is-invalid': submitted && signUpForm.controls['confirmPassword'].errors }" />
            <div *ngIf="submitted && signUpForm.controls['confirmPassword'].errors" class="invalid-feedback">
                <div *ngIf="signUpForm.controls['confirmPassword'].errors.required">Подтвердите пароль</div>
                <div *ngIf="signUpForm.controls['confirmPassword'].errors.mustMatch">Пароли должны совпадать</div>
            </div>
          </div>

           <a routerLink="../signin" routerLinkActive="active">У меня есть аккаунт</a>
         </div>
         <div class="modal-footer">
           <button type="button" class="btn btn-secondary" (click)="onCloseModal()">Закрыть</button>
           <button class="btn btn-primary" type="submit">Зарегистрироваться</button>
         </div>
       </form>
    </div>
  </div>
  <div class="modal-backdrop show" (click)="onCloseModal()"></div>
</div>
